Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 609466 - Tomcat 5.5 shows down even if the serivce is up
Tomcat 5.5 shows down even if the serivce is up
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.0
All Linux
low Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: jon-sprint12-bugs
  Show dependency treegraph
 
Reported: 2010-06-30 07:32 EDT by Sudhir D
Modified: 2010-07-22 13:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-22 13:47:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sudhir D 2010-06-30 07:32:05 EDT
Description of problem:
I have tomcat 5.5.29 installed and when the agent is started, the tomcat is autodiscoverd. However, the service shows down even if it is up. In log it complains failed to determine version number.

Version-Release number of selected component (if applicable):
jon-server-2.4.0.GA_QA Build# 43.

How reproducible:
Always

Steps to Reproduce:
1. Install and configure tomcat 5.5.29. Start the same. 
2. Install JON agent.
3. Check the dashboard for the new platform. 
4. Check the tomcat under the newly discovered platform.
  
Actual results:
Autodiscovery works however the service show down with below error in log file,
12:06:58,776 INFO  [InventoryManager.discovery-1] (rhq.core.pc.inventory.AutoDiscoveryExecutor)- Process scan auto-detected new server resource: scan=[ProcessScan: query=[process|basename|match=^java.*,arg|org.apache.catalina.startup.Bootstrap|match=.*], name=[Tomcat]], discovered-process=[process: pid=[1647], name=[/root/Desktop/JON/jdk1.6.0_19/bin/java], ppid=[1]]
12:06:58,777 WARN  [ResourceDiscoveryComponent.invoker.daemon-2] (jboss.on.plugins.tomcat.TomcatDiscoveryComponent)- DEBUG DEPLOYMENT....
12:06:58,858 WARN  [ResourceDiscoveryComponent.invoker.daemon-2] (jboss.on.plugins.tomcat.TomcatDiscoveryComponent)- Failed to determine Tomcat Server Version Given:
VersionInfo:
catalinaHome: /root/Desktop/JON/apache-tomcat-5.5.29
Script:/root/Desktop/JON/apache-tomcat-5.5.29/bin/version.sh
timeout=10000
12:06:58,861 INFO  [InventoryManager.discovery-1] (rhq.core.pc.inventory.InventoryManager)- Detected new Server [Resource[id=0, type=Tomcat Server, key=/root/Desktop/JON/apache-tomcat-5.5.29, name=Tomcat (8080), parent=<null>, version=Unknown Version]] - adding to local inventory...

Expected results:
Version number should be correctly determined and service should show up.

Additional info:
On F-12, the autodiscover did not find tomcat at all. I'll look more into that and open another bug if relevent.
Comment 1 Charles Crouch 2010-07-06 22:27:06 EDT
Does this occur with the Tomcat instance bundled with EWS?
Comment 2 Charles Crouch 2010-07-21 17:26:27 EDT
Pushing to ON_QA to determine if this is a problem which occurs with Tomcat from EWS
Comment 3 Charles Crouch 2010-07-22 11:36:13 EDT
Really pushing to ON_QA now
Comment 4 Corey Welton 2010-07-22 13:47:11 EDT
This is likely a misconfiguration of the jmx props necessary to monitor tomcat 5/6.  I have a Tomcat 5.5 instance being monitored right now.  I am pretty sure (though not absolute) that this is in the automation suite too.

Closing as NOTABUG, we can reopen later if necessary.

Note You need to log in before you can comment on or make changes to this bug.